You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cloudstack.apache.org by hu...@apache.org on 2013/01/21 12:18:49 UTC

[42/50] [abbrv] git commit: CLOUDSTACK-938: Add missing checkbatchs2svpn.sh

CLOUDSTACK-938: Add missing checkbatchs2svpn.sh


Project: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/commit/a5ac88db
Tree: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/tree/a5ac88db
Diff: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/diff/a5ac88db

Branch: refs/heads/cloud-agent-with-openvswitch
Commit: a5ac88db88837c6b123ae59491318c94a75d6ceb
Parents: c9921ea
Author: Sheng Yang <sh...@citrix.com>
Authored: Fri Jan 18 11:00:18 2013 -0800
Committer: Sheng Yang <sh...@citrix.com>
Committed: Fri Jan 18 11:01:00 2013 -0800

----------------------------------------------------------------------
 .../config/opt/cloud/bin/checkbatchs2svpn.sh       |   25 +++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/blob/a5ac88db/patches/systemvm/debian/config/opt/cloud/bin/checkbatchs2svpn.sh
----------------------------------------------------------------------
diff --git a/patches/systemvm/debian/config/opt/cloud/bin/checkbatchs2svpn.sh b/patches/systemvm/debian/config/opt/cloud/bin/checkbatchs2svpn.sh
new file mode 100755
index 0000000..80e3213
--- /dev/null
+++ b/patches/systemvm/debian/config/opt/cloud/bin/checkbatchs2svpn.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+for i in $*
+do
+    info=`/opt/cloud/bin/checks2svpn.sh $i`
+    ret=$?
+    echo -n "$i:$ret:$info&"
+done
+